<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/DeviceManager/XHXDeviceManager.m 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_device_manager_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">宏定义</a>  </div>
  <div class="headertitle">
<div class="title">XHXDeviceManager.m 文件参考</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#import &quot;<a class="el" href="_x_h_x_device_manager_8h_source.html">XHXDeviceManager.h</a>&quot;</code><br />
<code>#import &lt;ifaddrs.h&gt;</code><br />
<code>#import &lt;arpa/inet.h&gt;</code><br />
<code>#import &lt;sys/utsname.h&gt;</code><br />
<code>#import &lt;CoreTelephony/CTTelephonyNetworkInfo.h&gt;</code><br />
<code>#import &lt;CoreTelephony/CTCarrier.h&gt;</code><br />
<code>#import &lt;KKLThirdParty/SAMKeychain.h&gt;</code><br />
<code>#import &lt;CKKit/CKKit.h&gt;</code><br />
</div>
<p><a href="_x_h_x_device_manager_8m_source.html">浏览源代码.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
宏定义</h2></td></tr>
<tr class="memitem:a1d3aa2437ceb6e4840f7d45d7654b086"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_device_manager_8m.html#a1d3aa2437ceb6e4840f7d45d7654b086">kServiceKey</a>&#160;&#160;&#160;@&quot;KKLOnLine&quot;</td></tr>
<tr class="separator:a1d3aa2437ceb6e4840f7d45d7654b086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae696545da7cf3e06d35f11ba6ad5ebd0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_device_manager_8m.html#ae696545da7cf3e06d35f11ba6ad5ebd0">kUUIDKey</a>&#160;&#160;&#160;@&quot;uuid&quot;</td></tr>
<tr class="separator:ae696545da7cf3e06d35f11ba6ad5ebd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a157d38b212c04911c55d09db5b0dc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_device_manager_8m.html#ad1a157d38b212c04911c55d09db5b0dc">gAPPVERSION</a>&#160;&#160;&#160;[[[NSBundle mainBundle] infoDictionary] objectForKey:@&quot;CFBundleShortVersionString&quot;]</td></tr>
<tr class="separator:ad1a157d38b212c04911c55d09db5b0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">宏定义说明</h2>
<a id="ad1a157d38b212c04911c55d09db5b0dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a157d38b212c04911c55d09db5b0dc">&#9670;&nbsp;</a></span>gAPPVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gAPPVERSION&#160;&#160;&#160;[[[NSBundle mainBundle] infoDictionary] objectForKey:@&quot;CFBundleShortVersionString&quot;]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_device_manager_8m_source.html">XHXDeviceManager.m</a> 第 <a class="el" href="_x_h_x_device_manager_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="a1d3aa2437ceb6e4840f7d45d7654b086"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d3aa2437ceb6e4840f7d45d7654b086">&#9670;&nbsp;</a></span>kServiceKey</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kServiceKey&#160;&#160;&#160;@&quot;KKLOnLine&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_device_manager_8m_source.html">XHXDeviceManager.m</a> 第 <a class="el" href="_x_h_x_device_manager_8m_source.html#l00018">18</a> 行定义.</p>

</div>
</div>
<a id="ae696545da7cf3e06d35f11ba6ad5ebd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae696545da7cf3e06d35f11ba6ad5ebd0">&#9670;&nbsp;</a></span>kUUIDKey</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kUUIDKey&#160;&#160;&#160;@&quot;uuid&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_device_manager_8m_source.html">XHXDeviceManager.m</a> 第 <a class="el" href="_x_h_x_device_manager_8m_source.html#l00019">19</a> 行定义.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_6421e8f138a923188aeb00113878d3d1.html">DeviceManager</a></li><li class="navelem"><a class="el" href="_x_h_x_device_manager_8m.html">XHXDeviceManager.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
